LXRAD 0.7

Public Member Functions | Protected Attributes
CObject Class Reference

Generic Object. More...

`#include <cobject.h>`

Inheritance diagram for CObject:

## Public Member Functions
void | SetName (const lxString name)
lxString | GetName (void)
lxString | GetClass (void)
void | SetClass (const lxString classn)
virtual lxStringList | GetContext (void)
virtual void | SetContext (lxStringList context)
bool | GetEv (bool reset=false)
void | SetEv (bool value, bool reset=false)
void | SetTag (uint tag)
uint | GetTag (void)
void | SetAux (int tag)
int | GetAux (void)

## Protected Attributes
bool | Ev [EVMAX]
uint | Evcount
lxString | Name
lxString | Class
lxStringList | Context
uint | Tag
int | Aux

## Detailed Description

Generic Object.

Generic Object Class.

Definition at line 42 of file cobject.h.

## Member Function Documentation

## ◆ GetAux()

int CObject::GetAux | ( | void |  | ) |

Get Object Aux.

Returns
  Object Aux

## ◆ GetClass()

lxString CObject::GetClass | ( | void |  | ) |

Get Classe Name.

Returns
  Object Class Name

## ◆ GetContext()

virtual lxStringList CObject::GetContext | ( | void |  | ) |
| virtual

Get XML Context Name.

Returns
  XML context.

Reimplemented in CButton, CCheckBox, CColorDialog, CCombo, CControl, CDirDialog, CDraw, CEdit, CFileDialog, CFileList, CGauge, CGrid, CHtml, CImage, CItemMenu, CLabel, CList, CMenu, CPanel, CPMenu, CScroll, CSpin, CSpind, CStatusbar, CStyledText, CText, CThread, CTimer, CToggleButton, CToolButton, CWindow, and CXpmButton.

## ◆ GetEv()

bool CObject::GetEv | ( | bool | reset = `false` | ) |

Get Object Events.

Returns
  bool

## ◆ GetName()

lxString CObject::GetName | ( | void |  | ) |

Get Control Name.

Returns
  Object Name.

## ◆ GetTag()

uint CObject::GetTag | ( | void |  | ) |

Get Object Tag.

Returns
  Object Tag

## ◆ SetAux()

void CObject::SetAux | ( | int | tag | ) |

Set Object Aux.

Parameters

  tag. |

Returns
  void.

## ◆ SetClass()

void CObject::SetClass | ( | const lxString | classn | ) |

Set Classe Name.

Parameters

  classn | new class name.

Returns
  void.

## ◆ SetContext()

virtual void CObject::SetContext | ( | lxStringList | context | ) |
| virtual

Set XML Context .

Parameters

  context | XML context.

Returns
  void.

Reimplemented in CButton, CCheckBox, CColorDialog, CCombo, CControl, CDirDialog, CDraw, CEdit, CFileDialog, CFileList, CGauge, CGrid, CHtml, CImage, CItemMenu, CLabel, CList, CMenu, CPanel, CPMenu, CScroll, CSpin, CSpind, CStatusbar, CStyledText, CText, CThread, CTimer, CToggleButton, CToolButton, CWindow, and CXpmButton.

## ◆ SetEv()

void CObject::SetEv | ( | bool | value,
|  | bool | reset = `false`
| ) |  |

Set Object Events.

Parameters

  reset. |

Returns
  bool.

## ◆ SetName()

void CObject::SetName | ( | const lxString | name | ) |

Set Control Name.

Parameters

  name | new name.

Returns
  void.

## ◆ SetTag()

void CObject::SetTag | ( | uint | tag | ) |

Set Object Tag.

Parameters

  tag. |

Returns
  void.

## Field Documentation

## ◆ Aux

int CObject::Aux
| protected

Definition at line 51 of file cobject.h.

## ◆ Class

lxString CObject::Class
| protected

Definition at line 48 of file cobject.h.

## ◆ Context

lxStringList CObject::Context
| protected

Definition at line 49 of file cobject.h.

## ◆ Ev

bool CObject::Ev[EVMAX]
| protected

Definition at line 45 of file cobject.h.

## ◆ Evcount

uint CObject::Evcount
| protected

Definition at line 46 of file cobject.h.

## ◆ Name

lxString CObject::Name
| protected

Definition at line 47 of file cobject.h.

## ◆ Tag

uint CObject::Tag
| protected

Definition at line 50 of file cobject.h.

The documentation for this class was generated from the following file:

- include/cobject.h